Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface SignalsDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Implementing Classes:
  SubSeriesDataset

public interface SignalsDataset
extends XYDataset

An interface that adds signal information to an `XYDataset`.

Author:
  Sylvain Vieujot

Field Summary
`static int` | `ENTER_LONG` Useful constant indicating trade recommendation.
`static int` | `ENTER_SHORT` Useful constant indicating trade recommendation.
`static int` | `EXIT_LONG` Useful constant indicating trade recommendation.
`static int` | `EXIT_SHORT` Useful constant indicating trade recommendation.

Method Summary
`double` | `getLevel(int series, int item)` Returns the level.
`int` | `getType(int series, int item)` Returns the type.

Methods inherited from interface org.jfree.data.XYDataset
`getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.SeriesDataset
`getSeriesCount, getSeriesName`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Field Detail

### ENTER_LONG

    public static final int ENTER_LONG

  Useful constant indicating trade recommendation.

  See Also:
    Constant Field Values

### ENTER_SHORT

    public static final int ENTER_SHORT

  Useful constant indicating trade recommendation.

  See Also:
    Constant Field Values

### EXIT_LONG

    public static final int EXIT_LONG

  Useful constant indicating trade recommendation.

  See Also:
    Constant Field Values

### EXIT_SHORT

    public static final int EXIT_SHORT

  Useful constant indicating trade recommendation.

  See Also:
    Constant Field Values

Method Detail

### getType

    public int getType(int series,
                       int item)

  Returns the type.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    the type.

### getLevel

    public double getLevel(int series,
                           int item)

  Returns the level.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    the level.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD